﻿Namespace Model
    Public Class Funcionario
        Inherits BaseNotifyPropertyChanged
        Implements ICloneable

        Private _id As Integer
        Public Property Id() As Integer
            Get
                Return _id
            End Get
            Set
                SetField(_id, Value)
            End Set
        End Property

        Private _nome As String
        Public Property Nome() As String
            Get
                Return _nome
            End Get
            Set
                SetField(_nome, Value)
            End Set
        End Property

        Private _sobrenome As String
        Public Property Sobrenome() As String
            Get
                Return _sobrenome
            End Get
            Set
                SetField(_sobrenome, Value)
            End Set
        End Property

        Private _dataNascimento As DateTime
        Public Property DataNascimento() As DateTime
            Get
                Return _dataNascimento
            End Get
            Set
                SetField(_dataNascimento, Value)
            End Set
        End Property

        Private _sexo As Sexo
        Public Property Sexo() As Sexo
            Get
                Return _sexo
            End Get
            Set
                SetField(_sexo, Value)
            End Set
        End Property

        Private _estadoCivil As EstadoCivil
        Public Property EstadoCivil() As EstadoCivil
            Get
                Return _estadoCivil
            End Get
            Set
                SetField(_estadoCivil, Value)
            End Set
        End Property

        Private _dataAdmissao As DateTime
        Public Property DataAdmissao() As DateTime
            Get
                Return _dataAdmissao
            End Get
            Set
                SetField(_dataAdmissao, Value)
            End Set
        End Property

        Public Function Clone() As Object Implements ICloneable.Clone
            Return Me.MemberwiseClone()
        End Function
    End Class
End Namespace